# Asterisk Project : Asterisk 13 Function_DB

Created by wikibot on Aug 08, 2014

# DB()

### Synopsis

Read from or write to the Asterisk database.

### Description

This function will read from or write a value to the Asterisk database. On a read, this function returns the corresponding value from the database, or blank if it does not exist. Reading a database value will also set the variable DB_RESULT. If you wish to find out if an entry exists, use the DB_EXISTS function.

### Syntax

    DB(family/key)

##### Arguments

- `family`
- `key`

### See Also

- Asterisk 13 Application_DBdel
- Asterisk 13 Function_DB_DELETE
- Asterisk 13 Application_DBdeltree
- Asterisk 13 Function_DB_EXISTS

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538